For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • PUTCreate a parent worker relation
      • PUTCreate a parent worker relation with external id
      • POSTCreate a worker relation
      • PUTCreate child worker relation
      • PUTCreate child worker relation with external Id
      • POSTCreate worker relation type
      • POSTCreate worker relation with external Ids
      • DELDelete a worker relation
      • DELDelete a worker relation by external id
      • DELDelete a worker relation type
      • DELDelete a worker relation type by external id
      • GETFetch Worker Relations of a given HrisProfile by external id
      • GETList of worker relations
      • GETRetrieve all worker relation types
      • PATCHUpdate a worker relation type
      • PATCHUpdate a worker relation type by external id
LogoLogo
SupportDeel Home
EndpointsWorker Relations

Delete a worker relation type

DELETE
/hris/worker_relations/types/:type_id
DELETE
/rest/v2/hris/worker_relations/types/:type_id
$curl -X DELETE https://api.letsdeel.com/rest/v2/hris/worker_relations/types/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
> -H "Authorization: Bearer <token>"
1{}

Deletes an existing worker relationship type. Token scopes: organizations:write

Was this page helpful?
Previous

Delete a worker relation type by external id

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

type_idstringRequiredformat: "uuid"
Worker Relation Type ID

Response

Successfully deleted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error